Easy Translator

Easy Translator is a plugin to translate your blog posts and pages. Es bietet eine individuell anpassbare Widget auf maschinelle Übersetzung aktivieren (von Google oder Microsoft).

Easy Translator also provides a tool for plugin authors and translators. This tool picks up translatable strings (in _[_e]() Funktionen) und stellt sie und ihre vorhandenen Übersetzungen (von der MO-Objekt des aktuellen Textbereichs-, wenn loaded) in einer vom Benutzer bearbeitet Form. Es kann eine gültige PO-Datei, die mit dem Plugin Autor gemailt werden können erzeugen.

Die Pro Version adds the following features:

  1. Color-pickers for the blog post translation widget, to customize and match your colors with your theme.
  2. Machine translation help to seed your plugin translation efforts. Das heißt, für jede übersetzbare Zeichenfolge gefunden, es wird Ihnen eine Übersetzung durch Google bereitgestellt, die Sie bearbeiten können und perfekt.
  3. Auto identification of the text-domain used by the plugin being translated.
  4. Email support so that your translators can send the PO file directly from the its window, Straffung ihrer Arbeit.

Wenn Sie ein Plugin Autor interessiert Internationalisierung Ihres Plugins sind, möchten Sie vielleicht Ihre potentiellen Übersetzer fragen zu installieren Easy Translator um es zu einem Kinderspiel machen, um Ihnen Übersetzungen geben. Wenn Sie zum Aufräumen Internationalisierung wollen, Sie schätzen Easy Translator denn es macht einen Fuzzy-String-Matching, um mögliche Wiederholungen und Konflikte unter Schlüsselfolgen markieren.

Installation

Searching

Der einfachste Weg, dieses Plugin zu installieren ist, die Wordpress-Admin-Schnittstelle verwenden. Gehen Sie zu Ihrem Admin-Dashboard, finden die "Plugins" Menü, und klicken Sie auf "Neu hinzufügen". Search for this plugin and click on "Jetzt installieren" und folgen Sie den Anweisungen Wordpress.

Uploading

Falls Sie es herunterladen und manuell installieren möchten, Sie sind wieder mit dem Wordpress-Dashboard-Schnittstelle. Zuerst das Plugin herunterladen Zip-Datei auf Ihrem lokalen Computer. Dann gehen Sie zu Ihrem Admin-Dashboard, finden die "Plugins" Menü, und klicken Sie auf "Neu hinzufügen". Nach einem Klick auf die "Neu hinzufügen" Menüpunkt wie oben, klicken Sie "Hochladen" (unter dem Titel "Install Plugins" in der Nähe der Spitze). Suchen Sie die heruntergeladene Zip-Datei, laden Sie sie und aktivieren Sie das Plugin-.

FTP

  1. Laden Sie die Easy Translator Plugin (das ganze einfach Übersetzer Ordner) in das Verzeichnis '/ wp-content / plugins /'.
  2. Aktiviere das Plugin über das Menü "Plugins" in Wordpress.
  3. Gehen Sie zu den Tools - & gt; Easy Translator, es zu benutzen.

So installieren Sie die professionelle Version des Plugins, Bitte deactivage die Lite-Version (falls) erste. Dann laden Sie die Zip-Datei, die Sie Download nach dem Kauf mit dem Wordpress-Admin-Interface unten.

[install]

Das Plugin ist aktualisiert auch nach dem gleichen Verfahren, vorzugsweise aus der Admin-Plugin-Seite, wo Sie eine Datei-Upload-Formular finden Sie, wenn ein Update bereit. Das erste Update für Ihre gekauften Plugin ist immer kostenlos.

Screenshots

  1. Blog page translation - Google widget  Screenshot [easy-translator] 1
  2. Blog page translation - Microsoft widget  Screenshot [easy-translator] 2
  3. Widget customization  Screenshot [easy-translator] 3
  4. How to use the plugin translator - Der Editor & nbsp; & nbsp;Screenshot [easy-translator] 4
  5. The POT File Viewer in the plugin translator.  Screenshot [easy-translator] 5

Change Log

  • V4.90: Compatibility with WP4.8. Sunset edition. [August 1, 2017]
  • V4.80: Die Kompatibilität mit Wordpress 4.5. [Mai 12, 2015]
  • V4.71: Minor-Schnittstelle und Änderungen in der Dokumentation. [Februar 25, 2016]
  • V4.70: Deprecating Übersetzungsschnittstelle zugunsten von Google Übersetzung,en. [Februar 23, 2016]
  • V4.60: Die Kompatibilität mit Wordpress 4.4. [Dezember 5, 2015]
  • V4.53: Refactoring Änderungen. [November 7, 2015]
  • V4.52: Erweiterungen im Admin-Interface. [Oktober 17, 2015]
  • V4.51: Änderungen in der Dokumentation. [September 13, 2015]
  • V4.50: Adding a settings page with detailed help on the plugin. Die Kompatibilität mit Wordpress 4.3. [August 10, 2015]
  • V4.40: Die Kompatibilität mit Wordpress 4.2. [April 25, 2015]
  • V4:30: Die Kompatibilität mit WP4.1. [Jan 8, 2015]
  • V4.21: Geringfügige Änderung des Admin-Interface. [September 9, 2011]
  • V4.20: Bugfixes, Kompatibilität mit WP4.0. [September 8, 2014]
  • V4.10: Kumulierte Refactoring Änderungen. [Mai 7, 2014]
  • V4.03: Kompatibilität mit Wordpress V3.9. [April 18, 2014]
  • V4.02: Weitere kleinere Korrekturen an PHP Hinweise zu unterdrücken. [Mar 29, 2014]
  • V4.01: Bug fix im Widget JavaScript-Code. [Mar 29, 2014]
  • V4.00: Die komplette Überholung des Designs. [Mar 29, 2014]
  • V3.31: Kleinere Änderungen Refactoring. [Mar 24, 2014]
  • V3.30: Kompatibilität mit WP3.8. Änderungen in der Dokumentation. [Dezember 19, 2013]
  • V3.20: Kompatibilität mit WP3.7. Some minor documentation changes. [November 9, 2013]
  • V3.10: Kompatibilität mit WP3.6. Einige zusätzliche Tooltips zu dem Benutzer helfen. [August 15, 2013]
  • V3.01: Nur Änderungen in der Dokumentation. [Mai 21, 2013]
  • V3.00: Major Upgrade mit Blog-Seite Übersetzung sowie Google translate auf Plugin Übersetzung Saatgut. [Mai 20, 2013]
  • V2.23: Richtige Initialisierung der Session. [Mar 30, 2013]
  • V2.22: Der richtige Einsatz von Session-Variablen. [Februar 18, 2013]
  • V2.21: Fixes in der Plugin-Updater. [Oktober 17, 2012]
  • V2.20: Roll-out in-App-Version Update. [September 30, 2012]
  • V2.13: Richtige Initialisierung der Session. [Mar 30, 2013]
  • V2.12: Der richtige Einsatz von Session-Variablen. [Februar 18, 2013]
  • V2.11: Bugfixes (Fataler Fehler: Call-Zeitvertreib-by-reference wurde entfernt). [Jan 27, 2013]
  • V2.10: Including a support link on the admin page. [September 30, 2012]
  • V2.06: Die Pflege von einigen Debug-Mitteilungen von Wordpress Debug-Modus. [August 28, 2012]
  • V2.05: Kleinere Änderungen des Admin-Seite. [Juli 18, 2012]
  • V2.04: Die Pflege von magic_quotes_gpc in PHP. [Mai 18, 2012]
  • V2.03: Renaming the plugin to drop the word Lite. [Mai 11, 2012]
  • V2.02: Ändern der PHP-Datei-Suche um die rekursive. [Mar 20, 2012]
  • V2.01: Hinzufügen einer neuen Funktion eine neue MO-Datei zu erstellen (anstatt nur Bearbeiten eines bestehenden). [Mar 19, 2012]
  • V2.00: Freigabe einer Lite- und Pro-Version. [Mar 6, 2012]
  • V1.01: Korrektur ein paar kleinere Bugs (ein) Autor E-Mail (des Plugins übersetzt wurde an den Autor dieses Plugins gesetzt. (b) Der Name des Plugins wurde eingestellt Einfach AdSense (Dank, Sub!). (c) Einige Korrekturen sind für die Flucht Anführungszeichen und Zeilenumbrüche in nicht-englischen Sprachumgebungen benötigt. Wird sie in der nächsten Version enthalten. (Schwer zu testen, weil meine Locale en_US).
  • V1.00: Erste Veröffentlichung. [Juli 21, 2009]

Häufig gestellte Fragen

I installed the plugin. Nothing happens. Where is the translator?

Please go to Appearance -> Widgets, drag and drop the Easy Translator widget to the sidebar of your choice. Select Microsoft (default) or Google and save. You will find the translator widget on your sidebar.

Die Pro-Version soll mich anpassen, die Übersetzung Widget Farben. Wie?

Bitte gehen Sie zu Aussehen - & gt; Widgets und fügen / die Übersetzung Widgets ändern. Sie finden die Farbauswahl gibt es zu sehen.

Sieht gut aus, aber funktioniert nicht!

Easy Translator ist ein ziemlich kompliziertes Programm. Wenn Sie einen Fehler oder etwas, das nicht wie erwartet funktioniert finden, Bitte behalten Sie es nicht zu Youself. Bitte veröffentlichen Sie sie in das Forum oder email me. Ich würde wirklich gerne machen es perfekt funktionieren.

Dieses Plugin Konflikte mit anderen Plugins. Was Sie jetzt tun?

Easy Translator nutzt die PHP "super-global" Variablen ($_SESSION[]) um verschiedene Zeichenfolgen und Einstellungen zwischen Ihren Besuchen zu halten, so dass Ihre Übersetzungsarbeit nicht versehentlich gelöscht. Ich hoffe, dass sie sicher implementiert haben. Aber wie jeder Entwickler wird Ihnen sagen,, es ist nichts sicher über die Verwendung von Globals. Wenn Sie irgendetwas nicht stimmte finden, Ich würde es schätzen, wenn Sie lassen Sie mich wissen. Bitte veröffentlichen Sie sie in das Forum oder Kontaktieren Sie mich.

Wenn Sie eine Frage haben oder einen Kommentar zu der Pro-Version, benutzen Sie bitte nicht das Forum bei WordPress.org gehostet, aber kontaktieren Sie das Plugin Autor über unser Support-Portal.

Die PO-Dateien erstellt erzeugen Fehler, wenn ich laufen msgfmt auf sie. Was sind diese Fehler?

Das Plugin verfügt über ein bekanntes Problem mit Anführungszeichen innerhalb von Zeichenfolgen. Einige der Anführungszeichen nicht mit einem Backslash maskiert bekommen. Ich denke, das Problem ist locale-spezifischen, und wissen nicht, wie es zu lösen. Wenn Sie irgendwelche Ideen haben, lass es mich wissen, bitte. Der Workaround ist es, die erzeugten PO-Dateien mit einem Texteditor bearbeiten und gehen Sie zu den Linien, die Ihnen Fehler in msgfmt. Sie werden wahrscheinlich feststellen, einige unkommentierte Zitate, sollten Sie einen Backslash voranstellen. Es sollte dann durch gehen msgfmt ohne Fehler. Ein weiteres bekanntes Problem ist, dass in einigen Gegenden, die \n Zeichen in den ersten Zeilen erscheinen als n -- wieder in einem Gebietsschema-spezifische Weise.

Wie bekomme ich es zu meinem Blog-Seiten / Beiträge übersetzen?

Um Blog-Seite / Übersetzungs- aktivieren, finden Sie das Easy Translator Widget (unter dem Aussehen - & gt; Widgets-Menü auf Ihrem Wordpress Admin-Seite) und legen Sie es auf einer Seitenleiste. Wenn Sie die Pro-Version des Plugins, Sie können die Farben des Widgets zu manipulieren, um Ihr Thema zusammenzubringen.

WP-Plus

WP PlusDiese und andere Plugins installiert und mit nahtlos verwaltet werden WP-Mehr -- die nächste Generation von Wordpress, für die professionelle Blogger, der professionellen Plugins und Themes zu verlangen entwickelt. Wenn Sie eine professionelle Plugin-Entwickler oder ein Blogger sind (einer, der den Lebensunterhalt aus der Blogging-oder Blog-bezogene Entwicklung zu machen hofft,), Geben Sie ihn aus!
Siehe auch:& Nbsp; & nbsp;Andere Plugins
Wenn Sie meine Plugin Bemühungen wie, bitte einen Kommentar mit Ihrem Facebook-Login unten.
Wenn Sie Hilfe brauchen, benutzen Sie bitte unser Support-Portal stattdessen. & Nbsp;ezSupport Portal
[Stolz, die Ihnen von EZ ZahlenKumpel.]

Kommentare